﻿/* 
    Copyright (c) 2012 Microsoft Corporation.  All rights reserved.
    Use of this sample source code is subject to the terms of the Microsoft license 
    agreement under which you licensed this sample source code and is provided AS-IS.
    If you did not accept the terms of the license agreement, you are not authorized 
    to use this sample source code.  For the terms of the license, please see the 
    license agreement between you and Microsoft.
*/

using System;
using System.Collections.ObjectModel;

namespace FaceParty
{
    public static class Constant
    {        
        public const string ImageFileName = "faceparty";
        public const string ImageFileSuffix = ".jpg";

        public const string DateTimeFormat = "yyyyMMddHHmmss";  

        public static readonly System.Windows.Media.Color MobileAnimationColor = System.Windows.Media.Color.FromArgb(255, 105, 210, 231);

        /// <summary>
        /// https://developers.facebook.com/
        /// </summary>
        internal static readonly string FacebookAppId = "your-app-id";
        internal static readonly string FacebookAppSecret = "your-app-secret";

        /// <summary>
        /// https://dev.twitter.com
        /// </summary>
        internal static readonly string TwitterAppCallBack = "http://your-home-page";
        internal static readonly string TwitterAppSecret = "your-app-secret";
        internal static readonly string TwipicAppKey = "your-app-key";

        /// <summary>
        /// http://open.weibo.com/development
        /// </summary>
        internal static readonly string SinaWeiboAppId = "your-app-id";
        internal static readonly string SinaWeiboAppSecret = "your-app-secret";
        internal static readonly string SinaWeiboAppCallBack = "http://your-home-page";

        /// <summary>
        /// https://manage.dev.live.com
        /// </summary>
        internal static readonly string WindowsLiveAppId = "your-app-id";
        internal static readonly string WinsowsLiveAppSecret = "your-app-secret";
    }
}
